# Activate physical card A physical card is initally blocked for transactions until activated. This prevents unauthorized use until the cardholder takes delivery. You do not have to activate a card to tokenize it for a digital wallet. This endpoint generates a [Card updated](https://developers.pismo.io/events/docs/cards-update-1) event. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Cards", "description": "Card management endpoints" } ], "components": { "parameters": { "accountIdPath": { "in": "path", "name": "accountId", "schema": { "type": "integer" }, "description": "Pismo account ID", "required": true }, "cardId": { "in": "path", "name": "cardId", "schema": { "type": "string" }, "description": "Pismo card ID", "required": true }, "customerIdHeader": { "in": "header", "name": "x-customer-id", "schema": { "type": "integer" }, "required": true, "description": "Pismo customer ID" }, "customerIdPath": { "in": "path", "name": "customerId", "schema": { "type": "string" }, "required": true, "description": "Customer ID" } }, "schemas": { "CardActivatedSuccessResponse": { "type": "object", "description": "Physical card activated success response", "properties": { "message": { "type": "string", "description": "Physical card activated message", "example": "The card was successfully unblocked" } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "204NoContent": { "description": "No Content" }, "401Unauthorized": { "description": "Access token is missing or invalid" }, "403Forbidden": { "description": "You don't have permission to access this resource" }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/wallet/v1/customers/{customerId}/accounts/{accountId}/cards/{cardId}/activate": { "put": { "operationId": "put-v1-card-activate", "summary": "Activate physical card", "description": "A physical card is initally blocked for transactions until activated. This prevents unauthorized use until the cardholder takes delivery. You do not have to activate a card to tokenize it for a digital wallet.\nThis endpoint generates a [Card updated](https://developers.pismo.io/events/docs/cards-update-1) event.\n", "tags": [ "Cards" ], "parameters": [ { "$ref": "#/components/parameters/customerIdPath" }, { "$ref": "#/components/parameters/accountIdPath" }, { "$ref": "#/components/parameters/cardId" }, { "$ref": "#/components/parameters/customerIdHeader" } ], "responses": { "200": { "description": "Card activated success response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CardActivatedSuccessResponse" } } } }, "204": { "$ref": "#/components/responses/204NoContent" }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "403": { "$ref": "#/components/responses/403Forbidden" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```